//
//  DownloadDelegate.m
//  BrowserDownloadDemo
//
//  Created by Robbie Duncan on 12/12/2006.
//  Copyright 2006 Robbie Duncan. You are granted rights to do anything you like with this file.
//

#import "DownloadDelegate.h"


@implementation DownloadDelegate

- (void)downloadDidBegin:(NSURLDownload *)download
{
	// This is where you would do something nice in terms of UI.
	NSLog(@"Download started.");
}

- (void)download:(NSURLDownload *)download didReceiveDataOfLength:(unsigned)length
{
	// Data received.  Update a progress bar somewhere
	NSLog(@"Some data was downloaded");
}

- (void)download:(NSURLDownload *)download didReceiveResponse:(NSURLResponse *)response
{
	// A response was received.  We can use the response to get some interesting stuff like the expected content length
	// for use in progress indicators and a suggested filename that I'll be using here..
	suggestedFilename = [[response suggestedFilename] retain];
}

- (void)download:(NSURLDownload *)download decideDestinationWithSuggestedFilename:(NSString *)filename
{
	NSSavePanel *panel = [NSSavePanel savePanel];
	if ([panel runModalForDirectory:nil file:suggestedFilename] == NSFileHandlingPanelCancelButton)
	{
		// If the user doesn't want to save cancel the download.
		[download cancel];
	}
	else
	{
		// Set the destination to save to.
		[download setDestination:[panel filename] allowOverwrite:YES];
	}
}

@end
